.article-voting{
    @include media-breakpoint-down(xs){
        word-spacing: -4px;
    }

    &__btn,
    &__btn:not(:disabled):not(.disabled){
        position: relative;
        min-width: 190px;
        overflow: hidden;
        transition: padding-left .3s;

        @include media-breakpoint-down(sm){
            min-width: 160px;
        }

        @include media-breakpoint-down(xs){
            min-width: 0;
            width: 48%;
            width: 48%;
            word-spacing: normal;

            & + .btn{
                margin-left: 4%;
            }
        }

        .article-voting__btn-icon{
            position: absolute;
            left: -3.125rem;
            top: 0;
            width: 3.125rem;
            height: 3.125rem;
            transition: left .3s;

            .icon{
                position: absolute;
                top:0;
                bottom: 0;
                left: 0;
                right: 0;
                margin: auto;
                width: 13px;
                height: 13px;
            }

            @include media-breakpoint-down(sm){
                left: -2.5rem;
                width: 2.5rem;
                height: 2.5rem;
            }
        }

        &.btn-primary{
            .article-voting__btn-icon{
                background-color: #0059DE;
            }
        }

        &.btn-danger{
            .article-voting__btn-icon{
                background-color: #EB3434;
            }
        }

        &.voted{
            padding-left: 3.125rem + $btn-padding-x;

            @include media-breakpoint-down(sm){
                padding-left: 2.5rem + $btn-padding-x;
            }

            .article-voting__btn-icon{
                left: 0;
            }
        }
    }
}